{% extends 'iBus/layouts/app.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" href="{% static 'vendor/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %} ">
<link rel="stylesheet" href="{% static 'vendor/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css' %}">
<link rel="stylesheet" href="{% static 'vendor/datatables.net-select-bs4/css/select.bootstrap4.min.css' %}">

{% endblock %}
{% block content %}
<div class="row">
    <div class="col-xl-4 order-xl-1">
        <div class="card card-profile">
            <img src="{% static 'img/theme/img-1-1000x600.jpg' %}" alt="Image placeholder" class="card-img-top">
            <div class="row justify-content-center">
                <div class="col-lg-3 order-lg-2">
                    <div class="card-profile-image">
                        <a href="#">
                            <img src="{% static 'img/theme/team-4.jpg' %}" class="rounded-circle">
                        </a>
                    </div>
                </div>
            </div>
            <div class="card-header text-center border-0 pt-8 pt-md-4 pb-0 pb-md-4">
                <div class="d-flex justify-content-between">
                    <a href="#" class="btn btn-sm btn-success mr-4">Activo</a>
                    <a href="#" class="btn btn-sm btn-default float-right">Message</a>
                </div>
            </div>
            <div class="card-body pt-0">
                <div class="row">
                    <div class="col">
                        <div class="card-profile-stats d-flex justify-content-center">
                            <div>
                                <span class="heading">22</span>
                                <span class="description">Friends</span>
                            </div>
                            <div>
                                <span class="heading">10</span>
                                <span class="description">Photos</span>
                            </div>
                            <div>
                                <span class="heading">89</span>
                                <span class="description">Comments</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="text-center">
                    <h5 class="h3" id="nombreCard"></h5>
                    <div class="h5 font-weight-300">
                        <i class="ni location_pin mr-2"></i>Bucharest, Romania
                    </div>
                    <div class="h5 mt-4">
                        <i class="ni business_briefcase-24 mr-2"></i>Solution Manager - Creative Tim Officer
                    </div>
                    <div>
                        <i class="ni education_hat mr-2"></i>University of Computer Science
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <!-- Card header -->
            <div class="card-header">
                <!-- Title -->
                <h5 class="h3 mb-0">Historial de usos</h5>
            </div>
            <!-- Card body -->
            <div class="card-body">
                <div class="table-responsive">
                    <!-- Projects table -->
                    <table class="table align-items-center table-flush">
                        <thead class="thead-light">
                            <tr>
                                <th scope="col">Page name</th>
                                <th scope="col">Visitors</th>
                                <th scope="col">Unique users</th>
                                <th scope="col">Bounce rate</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <th scope="row">
                                    /argon/
                                </th>
                                <td>
                                    4,569
                                </td>
                                <td>
                                    340
                                </td>
                                <td>
                                    <i class="fas fa-arrow-up text-success mr-3"></i> 46,53%
                                </td>
                            </tr>
                            <tr>
                                <th scope="row">
                                    /argon/index.html
                                </th>
                                <td>
                                    3,985
                                </td>
                                <td>
                                    319
                                </td>
                                <td>
                                    <i class="fas fa-arrow-down text-warning mr-3"></i> 46,53%
                                </td>
                            </tr>
                            <tr>
                                <th scope="row">
                                    /argon/charts.html
                                </th>
                                <td>
                                    3,513
                                </td>
                                <td>
                                    294
                                </td>
                                <td>
                                    <i class="fas fa-arrow-down text-warning mr-3"></i> 36,49%
                                </td>
                            </tr>
                            <tr>
                                <th scope="row">
                                    /argon/tables.html
                                </th>
                                <td>
                                    2,050
                                </td>
                                <td>
                                    147
                                </td>
                                <td>
                                    <i class="fas fa-arrow-up text-success mr-3"></i> 50,87%
                                </td>
                            </tr>
                            <tr>
                                <th scope="row">
                                    /argon/profile.html
                                </th>
                                <td>
                                    1,795
                                </td>
                                <td>
                                    190
                                </td>
                                <td>
                                    <i class="fas fa-arrow-down text-danger mr-3"></i> 46,53%
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="col-xl-8 order-xl-2">
        <div class="row">
            <div class="col-lg-6">
                <div class="card bg-gradient-info border-0">
                    <!-- Card body -->
                    <div class="card-body">
                        <div class="row">
                            <div class="col">
                                <h5 class="card-title text-uppercase text-muted mb-0 text-white">Saldo</h5>
                                <span class="h2 font-weight-bold mb-0 text-white">$350.897</span>
                            </div>
                            <div class="col-auto">
                                <div class="icon icon-shape bg-white text-dark rounded-circle shadow">
                                    <i class="fas fa-money-check-alt"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card bg-gradient-danger border-0">
                    <!-- Card body -->
                    <div class="card-body">
                        <div class="row">
                            <div class="col">
                                <h5 class="card-title text-uppercase text-muted mb-0 text-white">Última recarga</h5>
                                <span class="h2 font-weight-bold mb-0 text-white">$ 6.00</span>
                            </div>
                            <div class="col-auto">
                                <div class="icon icon-shape bg-white text-dark rounded-circle shadow">
                                    <i class="fas fa-arrow-up"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="card-header">
                <div class="row align-items-center">
                    <div class="col-8">
                        <h3 class="mb-0">Editar perfil</h3>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <h6 class="heading-small text-muted mb-4">Información básica</h6>
                <div class="pl-lg-4">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="form-control-label" for="nombre">Nombre</label>
                                <input type="text" id="nombre" class="form-control" disabled>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="form-control-label" for="apellidoPaterno">Apellido Paterno</label>
                                <input type="text" id="apellidoPaterno" class="form-control" disabled>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="form-control-label" for="apellidoMaterno">Apellido Materno</label>
                                <input type="text" id="apellidoMaterno" class="form-control" disabled>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="form-control-label" for="CURP">CURP</label>
                                <input type="text" id="CURP" class="form-control" disabled>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="form-control-label" for="fechaNacimiento">Fecha de Nacimiento</label>
                                <input type="text" id="fechaNacimiento" class="form-control" disabled>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="my-4" />
                <!-- Address -->
                <h6 class="heading-small text-muted mb-4">Información de Contacto</h6>
                <div class="pl-lg-4">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="form-control-label" for="telefono">Teléfono</label>
                                <input type="text" id="telefono" class="form-control" placeholder="Telefono">
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form-group">
                                <label class="form-control-label" for="celular">Celular</label>
                                <input type="text" id="celular" class="form-control" placeholder="Celular">
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="form-group">
                                <label class="form-control-label" for="correoElectronico">Correo Electrónico</label>
                                <input type="text" id="correoElectronico" class="form-control"
                                    placeholder="Correo Electrónico">
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="card-footer">
                <div class="text-right">
                    <button type="button" class="btn btn-success" onclick="updateItem()">Actualizar</button>
                </div>

            </div>


        </div>
    </div>
</div>

<!-- MODALS -->


<div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="modal-default" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">Nueva ruta</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <form id="form">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-control-label" for="create_aNombre">Nombre</label>
                                <input type="text" class="form-control" id="create_aNombre" name="create_aNombre"
                                    placeholder="Nombre">
                            </div>

                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-control-label" for="create_aDescripcion">Descripción</label>
                                <textarea class="form-control" id="create_aDescripcion" name="create_aDescripcion"
                                    rows="3" resize="none" placeholder="Descrpción"></textarea>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" onclick="createItem()">Guardar</button>
                    <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- update -->
<div class="modal fade" id="updateModal" tabindex="-1" role="dialog" aria-labelledby="modal-default" aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">Actualizar ruta</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <form id="form">
                <input type="hidden" id="update_id">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-control-label" for="update_aNombre">Nombre</label>
                                <input type="text" class="form-control" id="update_aNombre" name="update_aNombre"
                                    placeholder="Nombre">
                            </div>

                        </div>

                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="form-control-label" for="update_aDescripcion">Descripción</label>
                                <textarea class="form-control" id="update_aDescripcion" name="update_aDescripcion"
                                    rows="3" resize="none" placeholder="Descripción"></textarea>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-success" onclick="updateItem()">Actualizar</button>
                    <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="updateTrazaModal" tabindex="-1" role="dialog" aria-labelledby="modal-default"
    aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">Actualizar trazas</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12 mb-3">
                        <div class="float-right">
                            <button class="btn btn-icon btn-info" type="button">
                                <span class="btn-inner--icon"><i class="fas fa-plus"></i></span>
                                <span class="btn-inner--text">Añadir nodo</span>
                            </button>
                        </div>
                    </div>

                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div id="updateTrazaMap" style="height: 500px;"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <input type="hidden" id="updateTraza_GrupoRutaID">
                <input type="hidden" id="updateTraza_aLatitud">
                <input type="hidden" id="updateTraza_aLongitud">
                <button type="button" class="btn btn-success" onclick="updateTraza()">Actualizar</button>
                <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="updateEstacionModal" tabindex="-1" role="dialog" aria-labelledby="modal-default"
    aria-hidden="true">
    <div class="modal-dialog modal- modal-dialog-centered modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title" id="modal-title-default">Estaciones</h6>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <input type="hidden" id="input_id_update">
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">

                    </div>

                </div>
                <div class="row">
                    <div class="col-md-12">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success" onclick="update()">Actualizar</button>
                <button type="button" class="btn btn-link  ml-auto" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>
</div>


{% endblock %}


{% block script %}
<script src="{% static 'vendor/datatables.net/js/jquery.dataTables.min.js' %} "></script>
<script src="{% static 'vendor/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %} "></script>
<script src="{% static 'vendor/datatables.net-buttons/js/dataTables.buttons.min.js' %} "></script>
<script src="{% static 'vendor/datatables.net-buttons-bs4/js/buttons.bootstrap4.min.js' %} "></script>
<script src="{% static 'vendor/datatables.net-buttons/js/buttons.html5.min.js' %} "></script>
<script src="{% static 'vendor/datatables.net-buttons/js/buttons.flash.min.js' %} "></script>
<script src="{% static 'vendor/datatables.net-buttons/js/buttons.print.min.js' %} "></script>
<script src="{% static 'vendor/datatables.net-select/js/dataTables.select.min.js' %} "></script>

<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCvvUs70-PeGPCCNDUN0BtrzNgtHQhdMxQ"></script>

<script>

    $(document).ready(function () {
        $.ajax({
            type: "POST",
            dataType: 'json',
            data: {
                'operation': 'read',
                'csrfmiddlewaretoken': '{{ csrf_token }}',
            }, success: function (cntx) {
                $("#nombreCard").text(cntx.nombre + " " + cntx.apellidoPaterno + " " + cntx.apellidoMaterno);
                $("#nombre").val(cntx.nombre);
                $("#apellidoPaterno").val(cntx.apellidoPaterno);
                $("#apellidoMaterno").val(cntx.apellidoMaterno);
                $("#CURP").val(cntx.CURP);
                $("#fechaNacimiento").val(cntx.fechaNacimiento);

                $("#telefono").val(cntx.telefono);
                $("#celular").val(cntx.celular);
                $("#correoElectronico").val(cntx.correoElectronico);
                //$("#apellidoPaterno").val(cntx.apellidoPaterno);

            }, error: function () {
                Swal.fire(
                    'Error!',
                    'Error al completar la solicitud',
                    'error'
                );
            }
        }
        );
    });
    function updateItem() {
        $.ajax({
            type: "POST",
            dataType: 'json',
            data: {
                'operation': 'update',
                'telefono': $("#telefono").val(),
                'celular': $("#celular").val(),
                'correoElectronico': $("#correoElectronico").val(),
                'csrfmiddlewaretoken': '{{ csrf_token }}',
            }, success: function (cntx) {
                if (cntx.status == "200") {
                    Swal.fire(
                        'Correcto',
                        'Se ha actualizado la estación',
                        'success'
                    )

                } else if (cntx.status == "500") {
                    Swal.fire(
                        'Error!',
                        'Ocurrio un error, intentelo nuevamente',
                        'error'
                    )
                }
            }, error: function () {
                Swal.fire(
                    'Error!',
                    'Error al completar la solicitud',
                    'error'
                );
            }
        }
        );
    }

</script>


{% endblock %}